/*
       []----------------------------------------------------------[]
       |                          DEMO2.C                           |
       |                                                            |
       |          Constroi graficos de varias funcoes y = f(x)      |
       |                                                            |
       |             (C) 1994, Lenimar Nunes de Andrade             |
       []----------------------------------------------------------[]
*/

#include <stdio.h>
#include <conio.h>
#include <stdlib.h>
#include <math.h>
#include <graphics.h>

#include "graficos.inc"


float f(float x) {

  return sin(1.0/x);
}


float g(float x) {

  return fabs(x*x - 3*fabs(x) + 2);
}


float h(float x) {

  return x*exp(-x*x);
}


void main(void) {

  IniciaModoGrafico();

  cor_dos_eixos = 4;
  cor_do_grafico = 2;
  cor_de_fundo = 1;
  DesenhaGrafico(f, 1, -0.5, 0.5, -2.0, 2.0);
  outtextxy(1, 18, "y = sen(1/x)");
  getch();
  cleardevice();

  cor_dos_eixos = 3;
  cor_do_grafico = 4;
  cor_de_fundo = 7;
  DesenhaGrafico(g, 2, -3.0, 3.0, -1.0, 3.0);
  outtextxy(1, 18, "y = |x^2 - 3|x| + 2|");
  getch();
  cleardevice();

  cor_dos_eixos = 1;
  cor_do_grafico = 2;
  cor_de_fundo = 3;
  DesenhaGrafico(h, 2, -2.0, 2.0, -1.0, 1.0);
  outtextxy(1, 18, "y = x * exp(-x*x)");
  getch();

  closegraph();
}

/*** FIM DE DEMO2.C ***/

